> ## Documentation Index
> Fetch the complete documentation index at: https://docs.together.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a shadow experiment target

> Removes a target from a shadow experiment without deleting the underlying deployment.



## OpenAPI

````yaml DELETE /projects/{projectId}/endpoints/{endpointId}/shadowExperiments/{experimentId}/targets/{id}
openapi: 3.1.0
info:
  title: Together APIs
  description: The Together REST API. See https://docs.together.ai for more details.
  version: 2.0.0
  termsOfService: https://www.together.ai/terms-of-service
  contact:
    name: Together Support
    url: https://www.together.ai/contact
  license:
    name: MIT
    url: https://github.com/togethercomputer/openapi/blob/main/LICENSE
servers:
  - url: https://api.together.ai/v1
    description: Default environment for APIs
  - url: https://api-inference.together.ai/v2
    description: Optimized environment for inference
security:
  - bearerAuth: []
paths:
  /projects/{projectId}/endpoints/{endpointId}/shadowExperiments/{experimentId}/targets/{id}:
    delete:
      tags:
        - ShadowExperimentService
      summary: Delete a shadow experiment target
      description: >-
        Removes a target from a shadow experiment without deleting the
        underlying deployment.
      operationId: ShadowExperimentService_DeleteTarget
      parameters:
        - name: projectId
          in: path
          required: true
          schema:
            description: Project identifier.
            type: string
        - name: endpointId
          in: path
          required: true
          schema:
            description: Endpoint identifier.
            type: string
        - name: experimentId
          in: path
          required: true
          schema:
            description: Shadow experiment identifier.
            type: string
        - name: id
          in: path
          required: true
          schema:
            description: Shadow experiment target identifier.
            type: string
        - name: etag
          in: query
          schema:
            type: string
            description: Etag for optimistic concurrency.
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DE.DeleteResponse'
        '400':
          description: Invalid request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorData'
        default:
          description: Default error response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorData'
      servers:
        - url: https://api.together.ai/v2
components:
  schemas:
    DE.DeleteResponse:
      type: object
      properties: {}
      additionalProperties: false
      x-stainless-empty-object: true
      description: Empty response returned after a successful delete operation.
    ErrorData:
      type: object
      required:
        - error
      properties:
        error:
          type: object
          properties:
            message:
              type: string
              nullable: false
            type:
              type: string
              nullable: false
            param:
              type: string
              nullable: true
              default: null
            code:
              type: string
              nullable: true
              default: null
          required:
            - type
            - message
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      x-bearer-format: bearer
      x-default: default

````